Jump to content
Sign in to follow this  
Knarfie

CCcam op NSLU2 Debian

Recommended Posts

Ik probeer CCcam (CCcam.armeb) te starten op mijn NSLU2 Debian server en krijg de melding: './CCcam: cannot execute binary file'

Ik heb CCcam voldoende rechten (755) gegeven. Dezelfde melding krijg ik ook als ik CCcam.ppc wil starten maar dat is logisch wat die is niet voor de NSLU2. Ook heb ik verschillende versies (2.05, 2.07, 2.08)geprobeerd met hetzelde resultaat. Wat kan het probleem zijn dat CCcam niet op wil starten?

 

Groet Knarf

Share this post


Link to post
Share on other sites

in deze draad staan enkele handleidingen en aanwijzingen.

 

heb je die al eens doorgenomen...

want tis niet zo makkelijk te zeggen wat het probleem is als we niet helemaal weten hoe en wat je tot nog toe gedaan hebt.

 

welke CCcam versie (armeb) test je eigenlijk?

 

cheers

Share this post


Link to post
Share on other sites

Dank voor je antwoord.

 

Zoals in dat draadje beschreven, heb ik CCcam geunzipd en CCcam.armeb hernoemd naar CCcam. Versie is 2.08. Als ik nu CCcam wil starten (alleen om te kijken of ie opstart configureren komt later) krijg ik die melding. Het lijkt mij onwaarschijnlijk dat ik een cardreader moet aansluiten en configureren om alleen CCcam op te starten.

 

Groet Knarfie

Share this post


Link to post
Share on other sites

en met de extensie er achter ?

zie hier mijn start-script (S41CCcam) :

 

Code:
#cat S41CCcam#!/bin/sh/var/etc/CCcam.armeb -d &

 

 

 

merDe

Share this post


Link to post
Share on other sites

welke Debian variant en versie, SlugOS/BE (het oude openSLUG) of LE? Als het BE is dan moet het echt werken dat is aan de hobbel gekregen met 3.10 en 4.8... Laten we eens beginnen met de binaries die wel/niet zijn ingeladen? Zoals libstdc++6 anders gaat CCcam inderdaad niet starten, verder raad ik aan om de packages eerst te updaten en te upgraden alvorens "kernel-module-usbserial kernel-module-ftdi-sio usbutils libusb-0.1-dev cron tar gcc-symlinks binutils-dev" erin te schuiven (4.8). Beetje afhankelijk van je kaarlezer moet je meerdere stappen gaan ondernemen, zeker als er een tarball gecompiled moet gaan worden. Gebruik je om wat voor reden de oude 3.10 versie dan raad ik je aan dit forum eens goed te doorzoeken want er staat een hoop over geschreven en geloof me het werkt absoluut smile

Share this post


Link to post
Share on other sites

De debian versie is 'Debian Stable 4.0r3. Ook staat libstdc++6-4.1 erop. Als extra nog een update en upgrade gedaan. Het resultaat blijft hetzelfde: ./CCcam: cannot execute binary file.

Share this post


Link to post
Share on other sites

dan vrees ik toch dat deze versie niet ondersteund wordt, raar debian is debian zou je zeggen ... x86 voor de gein ook eens geprobeerd?

Share this post


Link to post
Share on other sites

Ja. Ook dat geprobeerd en weer dezelfde melding. Het is inderdaad vreemd dat CCcam niet wil starten terwijl debian verder feiloos loopt op de NSLU2.

Share this post


Link to post
Share on other sites

Nog even terug komen op het probleem. Ik lees na wat gegoogle dat libcrypto.0.7.9 nodig is om CCcam op te starten. Op de NSLU2 staat libcrypto.0.9.8. Is het mogelijk dat de melding './CCcam: cannot execute binary file' veroorzaakt door een nieuwere versie van libcrypto?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

Onze Terms of Use en Privacy Policy